Skip to main content
`Ctrl`+`K`

# SNESCompositeSetType

Sets the type of composite preconditioner.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESCompositeSetType(SNES snes, SNESCompositeType type)

Logically Collective

## Input Parameters

- snes - the preconditioner context

- type - `SNES_COMPOSITE_ADDITIVE` (default), `SNES_COMPOSITE_MULTIPLICATIVE`, or `SNES_COMPOSITE_ADDITIVEOPTIMAL`

## Options Database Key

- -snes_composite_type <type: one of multiplicative, additive, additiveoptimal> - Sets composite preconditioner type

## See Also

SNES: Nonlinear Solvers, `SNES_COMPOSITE_ADDITIVE`, `SNES_COMPOSITE_MULTIPLICATIVE`, `SNESCompositeType`, `SNESCOMPOSITE`, `SNES_COMPOSITE_ADDITIVEOPTIMAL`, `PCCompositeType`

## Level

developer

## Location

src/snes/impls/composite/snescomposite.c

## Implementations

SNESCompositeSetType_Composite() in src/snes/impls/composite/snescomposite.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages